<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Jobs</title>

    <link rel="stylesheet" type="text/css" th:href="@{/css/jobs_styles.css}">
</head>
<body class="container">

<form class="formContainer">
    <button class="formBtn" id="filter-id" type="button">Job Functions</button>

    <label>
        Size
        <input name="size" type="number" class="formInput" min="1" placeholder="Size" th:value="${filter.getSize() == null ? 10 : filter.getSize()}">
    </label>

    <label>
        Page
        <input name="page" type="number" min="0" class="formInput" placeholder="Page" th:value="${filter.getPage() == null ? 0 : filter.getPage()}" >
    </label>

    <button class="formBtn" type="submit">Search</button>

    <label>

        <input name="archive" type="checkbox" class="formInput"  th:checked="${filter.isArchive()}" >
        Is archive
    </label>

    <button class="formBtn" type="submit" formaction="/jobs/convert/CSV">CSV</button>
    <button class="formBtn" type="submit" formaction="/jobs/convert/SQL">SQL</button>

    <dialog id="filter-dialog">
        <div class="dialog">

            <label th:each="entry : ${jobFunctionMap.entrySet()}">
                <input type="checkbox" name="jobFunctions" th:value="${entry.getKey()}" th:checked="${entry.getValue()}"/>
                <span th:text="${entry.getKey()}"></span>
            </label>

            <button id="cansel-btn-id" class="dialogBtn" type="button">Close</button>
        </div>
    </dialog>
</form>
<p >Showing <b th:text="${container.getTotalSize()}">0</b> jobs</p>

<div class="card" th:each="item: ${container.getContent()}">
    <img class="cardImg" th:src="${item.getOrganizationLogo()}">
    <div class="cardContent" >
        <p class="cardTitle" th:text="${item.getPositionName()}">Content and Publishing</p>
        <p class="cardCompanyName" th:text="${item.getOrganizationName()}">Publishing</p>
        <p th:text="${item.getLocation() + ' • ' + item.getCreatedAt()}">Publishing</p>
        <div class="cardTagContainer">
            <p th:each="tag: ${item.getTags()}" th:text="${tag}">Full Time</p>
        </div>
    </div>
    <div class="cardReadMoreContainer">
        <a th:href="@{/jobs/{id}(id=${item.getObjectID()})}"> Read more</a>
    </div>
</div>

<script>
    const filterDialog = document.getElementById('filter-dialog');
    const filterButton = document.getElementById('filter-id');
    const canselButton = document.getElementById('cansel-btn-id');

    filterButton.addEventListener('click', () => {
        filterDialog.showModal();
    });

    canselButton.addEventListener('click', () => {
        filterDialog.close();
    });


</script>
</body>
</html>
